AdilRC - Bug #4983

Echoing link with colour and $+ identifier doesn't underline hyperlink or trigger inline images
anymore

02/24/2020 09:26 PM - Jonathan Kay

Status: Closed Start date: 02/24/2020
Priority: Normal Due date:

Assignee: Per Amundsen % Done: 0%
Category: Scripting Estimated time: 0.00 hour
Target version: 3.8

Operative System: All Regression: Yes
Description

This is from a script of mine that broke in 3.8 2020/02/23.

If you do:

//echo —ag test S$chr(3) $+ 4 $+ http://adiirc.com

In prior versions (including 3.8 2020/02/18), the output is an underlined hyperlink, like: test http:/adiirc.com

In 2020/02/23, the link is not underlined, it does not trigger inline images if it's an image, but is still clickable as a hyperlink and the
hand appears on hover.
Adding a single char (ex. ~) in front of the link will make it work:
fytF2wi.png

You can also workaround the issue and restore how it worked before by moving the final $+ to immediately after the "test”

//echo —ag test $+ S$chr(3) $+ 4 http://adiirc.com
History

#1 - 02/24/2020 09:37 PM - Per Amundsen

- Status changed from New to Resolved

The new link validator doesn't consider links who included control codes valid links (they are touching the link) so it's treated as just regular text, |
fixed it for next beta, thanks.

#2 - 02/24/2020 09:37 PM - Per Amundsen

- Status changed from Resolved to Closed
